Upgrade Issue from V24.0.5 to V24.1.10

Here is the error message that I’m getting when updating the pom.xml file

 Exception sending context initialized event to listener instance of class [com.vaadin.flow.spring.VaadinServletContextInitializer$CompositeServletContextListene
r]
java.lang.NoSuchMethodError: 'com.vaadin.flow.server.frontend.Options com.vaadin.flow.server.frontend.Options.withGeneratedFolder(java.io.File)'
        at com.vaadin.base.devserver.startup.DevModeInitializer.initDevModeHandler(DevModeInitializer.java:221)

Make sure your maven plugin is up-to-date.

That was my mistake. I had the version hard coded in some places which caused the issue

after variablizing. it worked